Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	4.2.6.1
Release:	%mkrel 4
License:	GPL
Group:		System/Internationalization
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%name-%{version}_dict.tar.xz
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	xpm-devel
BuildRequires:	libxext-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	enchant-devel
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	opencc-devel
BuildRequires:	wget
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	intltool
BuildRequires:	icu-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	locales-zh

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}

%description devel
fcitx development files.

%package gtk
Summary: fcitx gtk module
Group: System/Internationalization
Requires: %{name} = %{version}
Requires(post): gtk+2.0
Requires(postun): gtk+2.0

%description gtk
fcitx gtk module.

%post gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%package gtk3
Summary: fcitx gtk3 module
Group: System/Internationalization
Requires: %{name} = %{version}
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
fcitx gtk module.

%post gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%package gir
Summary: GObject Introspection interface description for fcitx
Group: System/Libraries
Requires: %{name} = %{version}

%description gir
GObject Introspection interface description for fcitx.

%prep
%setup -q -n %name-%version

%build
%cmake -DENABLE_GTK2_IM_MODULE=ON -DENABLE_GTK3_IM_MODULE=ON -DCMAKE_SKIP_RPATH=OFF
%make

%install
%makeinstall_std -C build

chrpath -d %{buildroot}%{_libdir}/*.so
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/fcitx-autostart.desktop

%find_lang %name

%files -f %name.lang
%attr(0644,-,-) %doc doc/*.txt doc/*.htm
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*

%files gtk
%{_libdir}/gtk-2.0/*/immodules/im-fcitx.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/im-fcitx.so

%files gir
%{_libdir}/girepository-1.0/Fcitx-1.0.typelib

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Fcitx-1.0.gir
%{_datadir}/cmake/%{name}
%{_includedir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.2.6.1-4.mga3
+ Revision: 350078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 4.2.6.1-3.mga3
+ Revision: 316631
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 4.2.6.1-2.mga3
+ Revision: 314765
- rebuild for new icu

* Sun Oct 28 2012 fwang <fwang> 4.2.6.1-1.mga3
+ Revision: 311060
- new version 4.2.6.1

* Tue Jul 31 2012 fwang <fwang> 4.2.5-1.mga3
+ Revision: 276455
- drop autostart file
- new version 4.2.5

* Fri Jun 08 2012 fwang <fwang> 4.2.4-1.mga3
+ Revision: 257480
- update file list
- update file list
- br icu
- add more
- add more br
- new version 4.2.4

* Mon Jun 04 2012 fwang <fwang> 4.2.3-1.mga3
+ Revision: 253861
- fix str fmt
- new version 4.2.3

* Mon Mar 05 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 218346
- new version 4.2.0

* Wed Oct 12 2011 fwang <fwang> 4.1.2-1.mga2
+ Revision: 154014
- fix desktop file
- update file list

  + tv <tv>
    - new release

* Sat Sep 17 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 144606
- update file list
- fix chrpath path
- br gtk2
- update file list
- new version 4.1.1

* Thu Mar 24 2011 boklm <boklm> 4.0.1-2.mga1
+ Revision: 76137
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 4.0.1-1.mga1
+ Revision: 73715
- imported package fcitx

